Package org.eclipse.help.ui.internal

# Class CloseHelpTrayHandler

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.core.commands.AbstractHandler
org.eclipse.help.ui.internal.CloseHelpTrayHandler

All Implemented Interfaces:
  `IHandler`, `IHandler2`

public class CloseHelpTrayHandler extends AbstractHandler
The command handler that gets invoked when the "Close User Assistance Tray" command is invoked. It finds the current active dialog, and if it has the tray open, it closes it.

## Constructor Summary

Constructors
Constructor
Description
`CloseHelpTrayHandler()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`execute(ExecutionEvent event)`
Executes the command.

### Methods inherited from class org.eclipse.core.commands.AbstractHandler

`addHandlerListener, dispose, fireHandlerChanged, hasListeners, isEnabled, isHandled, removeHandlerListener, setBaseEnabled, setEnabled`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.commands.IHandler

`getHandlerLabel`

## Constructor Details

### CloseHelpTrayHandler

public CloseHelpTrayHandler()

## Method Details

### execute

public Object execute(ExecutionEvent event) throws ExecutionException
Executes the command.

Parameters:
  `event` - An event containing all the information about the current state of the application; must not be `null`.
Returns:
  the result of the execution. Reserved for future use, must be `null`.
Throws:
  `ExecutionException` - if an exception occurred during execution.